Name:		systemdgenie
Version:	0.99.0
Release:	0
Summary:	Systemd Management Utility for Plasma 5
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://cgit.kde.org/systemdgenie.git
Source0:	https://download.kde.org/unstable/systemdgenie/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(libsystemd)

Requires:	systemd

%description
SystemdGenie is a systemd management utility based on KDE technologies.
It provides a graphical frontend for the systemd daemon, which allows
for viewing and controlling systemd units, logind sessions as well as
easy modification of configuration and unit files.

%files
%doc NEWS README.md
%license COPYING
%{_kf5_bindir}/%{name}
%{_libexecdir}/kf5/kauth/systemdgeniehelper
%{_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/dbus-1/system.d/org.kde.kcontrol.%{name}.conf
%{_kf5_datadir}/dbus-1/system-services/org.kde.kcontrol.%{name}.service
%{_kf5_datadir}/polkit-1/actions/org.kde.kcontrol.%{name}.policy

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.99.0-7.mga9
+ Revision: 1845900
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.99.0-6.mga8
+ Revision: 1659960
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.99.0-5.mga8
+ Revision: 1528362
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 19 2019 daviddavid <daviddavid> 0.99.0-4.mga8
+ Revision: 1430315
- system.d conf file was moved from /etc/dbus-1 to /usr/share/dbus-1

* Tue Apr 02 2019 umeabot <umeabot> 0.99.0-3.mga7
+ Revision: 1384936
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.99.0-2.mga7
+ Revision: 1301294
- Mageia 7 Mass Rebuild

* Tue Dec 20 2016 daviddavid <daviddavid> 0.99.0-1.mga6
+ Revision: 1076213
- initial package systemdgenie
